package com.ruoyi.predict.domain;

/**
 * @author hlf
 * @date 2021/7/9 16:27
 * 文件说明：Table数据格式
 */
public class TableField {

    //时间
    private String dataTime;

    //理论功率
    private Double theoreticalPower;

    //可用功率
    private Double availablePower;

    //实际功率-当期数据
    private Double actualPowerDq;

    //超短期预测-当期数据
    private Double veryShortTermForecastDq;

    //短期预测-当期数据
    private Double shortTermForecastDq;

    //实际功率-同期数据
    private Double actualPowerTq;

    //超短期预测-同期数据
    private Double veryShortTermForecastTq;

    //短期预测-同期数据
    private Double shortTermForecastTq;

    //实际功率-上月数据
    private Double actualPowerSy;

    //超短期预测-上月数据
    private Double veryShortTermForecastSy;

    //短期预测-上月数据
    private Double shortTermForecastSy;

    //实际风速-当期数据
    private Double actualWindSpeedDq;

    //预测风速-当期数据
    private Double forecastWindSpeedDq;

    //实际风速-同期数据
    private Double actualWindSpeedTq;

    //预测风速-同期数据
    private Double forecastWindSpeedTq;

    //实际风速-上月数据
    private Double actualWindSpeedSy;

    //预测风速-上月数据
    private Double forecastWindSpeedSy;

    //一月
    private Double january;

    //二月
    private Double february;

    //三月
    private Double march;

    //四月
    private Double april;

    //五月
    private Double may;

    //六月
    private Double june;

    //七月
    private Double july;

    //八月
    private Double august;

    //九月
    private Double september;

    //十月
    private Double october;

    //十一月
    private Double november;

    //十二月
    private Double december;

    public String getDataTime() {
        return dataTime;
    }

    public void setDataTime(String dataTime) {
        this.dataTime = dataTime;
    }

    public Double getTheoreticalPower() {
        return theoreticalPower;
    }

    public void setTheoreticalPower(Double theoreticalPower) {
        this.theoreticalPower = theoreticalPower;
    }

    public Double getAvailablePower() {
        return availablePower;
    }

    public void setAvailablePower(Double availablePower) {
        this.availablePower = availablePower;
    }

    public Double getActualPowerDq() {
        return actualPowerDq;
    }

    public void setActualPowerDq(Double actualPowerDq) {
        this.actualPowerDq = actualPowerDq;
    }

    public Double getVeryShortTermForecastDq() {
        return veryShortTermForecastDq;
    }

    public void setVeryShortTermForecastDq(Double veryShortTermForecastDq) {
        this.veryShortTermForecastDq = veryShortTermForecastDq;
    }

    public Double getShortTermForecastDq() {
        return shortTermForecastDq;
    }

    public void setShortTermForecastDq(Double shortTermForecastDq) {
        this.shortTermForecastDq = shortTermForecastDq;
    }

    public Double getActualPowerTq() {
        return actualPowerTq;
    }

    public void setActualPowerTq(Double actualPowerTq) {
        this.actualPowerTq = actualPowerTq;
    }

    public Double getVeryShortTermForecastTq() {
        return veryShortTermForecastTq;
    }

    public void setVeryShortTermForecastTq(Double veryShortTermForecastTq) {
        this.veryShortTermForecastTq = veryShortTermForecastTq;
    }

    public Double getShortTermForecastTq() {
        return shortTermForecastTq;
    }

    public void setShortTermForecastTq(Double shortTermForecastTq) {
        this.shortTermForecastTq = shortTermForecastTq;
    }

    public Double getActualPowerSy() {
        return actualPowerSy;
    }

    public void setActualPowerSy(Double actualPowerSy) {
        this.actualPowerSy = actualPowerSy;
    }

    public Double getVeryShortTermForecastSy() {
        return veryShortTermForecastSy;
    }

    public void setVeryShortTermForecastSy(Double veryShortTermForecastSy) {
        this.veryShortTermForecastSy = veryShortTermForecastSy;
    }

    public Double getShortTermForecastSy() {
        return shortTermForecastSy;
    }

    public void setShortTermForecastSy(Double shortTermForecastSy) {
        this.shortTermForecastSy = shortTermForecastSy;
    }

    public Double getActualWindSpeedDq() {
        return actualWindSpeedDq;
    }

    public void setActualWindSpeedDq(Double actualWindSpeedDq) {
        this.actualWindSpeedDq = actualWindSpeedDq;
    }

    public Double getForecastWindSpeedDq() {
        return forecastWindSpeedDq;
    }

    public void setForecastWindSpeedDq(Double forecastWindSpeedDq) {
        this.forecastWindSpeedDq = forecastWindSpeedDq;
    }

    public Double getActualWindSpeedTq() {
        return actualWindSpeedTq;
    }

    public void setActualWindSpeedTq(Double actualWindSpeedTq) {
        this.actualWindSpeedTq = actualWindSpeedTq;
    }

    public Double getForecastWindSpeedTq() {
        return forecastWindSpeedTq;
    }

    public void setForecastWindSpeedTq(Double forecastWindSpeedTq) {
        this.forecastWindSpeedTq = forecastWindSpeedTq;
    }

    public Double getActualWindSpeedSy() {
        return actualWindSpeedSy;
    }

    public void setActualWindSpeedSy(Double actualWindSpeedSy) {
        this.actualWindSpeedSy = actualWindSpeedSy;
    }

    public Double getForecastWindSpeedSy() {
        return forecastWindSpeedSy;
    }

    public void setForecastWindSpeedSy(Double forecastWindSpeedSy) {
        this.forecastWindSpeedSy = forecastWindSpeedSy;
    }

    public Double getJanuary() {
        return january;
    }

    public void setJanuary(Double january) {
        this.january = january;
    }

    public Double getFebruary() {
        return february;
    }

    public void setFebruary(Double february) {
        this.february = february;
    }

    public Double getMarch() {
        return march;
    }

    public void setMarch(Double march) {
        this.march = march;
    }

    public Double getApril() {
        return april;
    }

    public void setApril(Double april) {
        this.april = april;
    }

    public Double getMay() {
        return may;
    }

    public void setMay(Double may) {
        this.may = may;
    }

    public Double getJune() {
        return june;
    }

    public void setJune(Double june) {
        this.june = june;
    }

    public Double getJuly() {
        return july;
    }

    public void setJuly(Double july) {
        this.july = july;
    }

    public Double getAugust() {
        return august;
    }

    public void setAugust(Double august) {
        this.august = august;
    }

    public Double getSeptember() {
        return september;
    }

    public void setSeptember(Double september) {
        this.september = september;
    }

    public Double getOctober() {
        return october;
    }

    public void setOctober(Double october) {
        this.october = october;
    }

    public Double getNovember() {
        return november;
    }

    public void setNovember(Double november) {
        this.november = november;
    }

    public Double getDecember() {
        return december;
    }

    public void setDecember(Double december) {
        this.december = december;
    }
}
